Debian Bug report logs - #409864
viewvc: No such file or directory: '/usr/lib/templates/directory.ezt' for SVN, but CVS works OK

Package: viewvc; Maintainer for viewvc is David Martínez Moreno <ender@debian.org>; Source for viewvc is src:viewvc.

Reported by: Rodrigo Chandia <rodrigo-chandia@utulsa.edu>

Date: Tue, 6 Feb 2007 00:33:01 UTC

Severity: important

Tags: moreinfo

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Chandia <rodrigo-chandia@utulsa.edu>:
New Bug report received and forwarded. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rodrigo Chandia <rodrigo-chandia@utulsa.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: viewvc: No such file or directory: '/usr/lib/templates/directory.ezt' for SVN, but CVS works OK
Date: Mon, 05 Feb 2007 18:26:45 -0600
[Message part 1 (text/plain, inline)]
Package: viewvc
Version: 1.0.3-1
Severity: important


CVS repo works OK. SVN repo fails to display. On the browser I see the
following traceback:

An Exception Has Occurred
Python Traceback
Traceback (most recent call last):
  File "/usr/lib/viewvc/viewvc.py", line 3629, in main
    request.run_viewvc()
  File "/usr/lib/viewvc/viewvc.py", line 388, in run_viewvc
    self.view_func(self)
  File "/usr/lib/viewvc/viewvc.py", line 1752, in view_directory
    generate_page(request, "directory", data)
  File "/usr/lib/viewvc/viewvc.py", line 836, in generate_page
    template = get_view_template(request.cfg, view_name, request.language)
  File "/usr/lib/viewvc/viewvc.py", line 830, in get_view_template
    template = ezt.Template(tname)
  File "/usr/lib/viewvc/ezt.py", line 293, in __init__
    self.parse_file(fname, base_format)
  File "/usr/lib/viewvc/ezt.py", line 298, in parse_file
    self.parse(_FileReader(fname), base_format)
  File "/usr/lib/viewvc/ezt.py", line 686, in __init__
    self.text = open(fname, 'rb').read()
IOError: [Errno 2] No such file or directory: '/usr/lib/templates/directory.ezt'

Attaching viewvc.conf, although is the one generated by a fresh install.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages viewvc depends on:
ii  cvs                       1:1.12.13-7    Concurrent Versions System
ii  debconf [debconf-2.0]     1.5.11         Debian configuration management sy
ii  gawk                      1:3.1.5.dfsg-4 GNU awk, a pattern scanning and pr
ii  mime-support              3.39-1         MIME files 'mime.types' & 'mailcap
ii  python                    2.4.4-2        An interactive high-level object-o
ii  python-subversion         1.4.2dfsg1-2   Python bindings for Subversion
ii  python-support            0.5.6          automated rebuilding support for p
ii  rcs                       5.7-18         The GNU Revision Control System
ii  subversion                1.4.2dfsg1-2   Advanced version control system

Versions of packages viewvc recommends:
ii  apache2-mpm-prefork [httpd]   2.2.3-3.2  Traditional model for Apache HTTPD
ii  enscript                      1.6.4-11   Converts ASCII text to Postscript,

-- debconf information:
* viewvc/forbidden:
* viewvc/svnroots: svn: /var/lib/svn
* viewvc/address: <a href="mailto:rodrigo-chandia@utulsa.edu">Version control admin</a>
* viewvc/cvsroots: cvs: /var/lib/cvs
* viewvc/allow_tar: true
* viewvc/defaultroot:
[viewvc.conf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Nick Phillips <nick.phillips@otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #10 received at 409864@bugs.debian.org (full text, mbox):

From: Nick Phillips <nick.phillips@otago.ac.nz>
To: 409864@bugs.debian.org
Subject: Unspeakable evil is possible even in python
Date: Fri, 9 Feb 2007 12:40:37 +1300
OK, well take a look at line 761 in viewvc.py and it being called  
from line 827, and laugh. Consider for a moment the explicitly-set  
relative template paths in the viewvc.conf that has been generated  
for you. Consider further the absolute futility of setting the  
template_dir option.

Then switch to cvsweb or something.

A fine example of shit code in any language.


For a workaround, either set the template_dir option in the [options]  
section of your viewvc.conf and comment out all of the explicit  
templates specified in the [templates] section, or just make sure  
that every template in the [templates] section is specified with an  
absolute path.


Cheers,


Nick

-- 
Nick Phillips / +64 3 479 4195 / nick.phillips@otago.ac.nz
# these statements are my own, not those of the University of Otago





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Nick Phillips <Nick.Phillips@otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #15 received at 409864@bugs.debian.org (full text, mbox):

From: Nick Phillips <Nick.Phillips@otago.ac.nz>
To: 409864@bugs.debian.org
Subject: _install_path
Date: Fri, 9 Feb 2007 12:59:39 +1300
I've had a look in viewcvs.py and I don't see a valid use of  
_install_path anywhere. In fact it's not even really a valid concept,  
so that's not surprising. Probably the best bet would be to come up  
with something that used the CONF_PATHNAME to work something out. I  
think from my admittedly brief look that that would be usable in each  
case where _install_path is currently used.


Cheers,


Nick

-- 
Nick Phillips / +64 3 479 4195 / nick.phillips@otago.ac.nz
# these statements are my own, not those of the University of Otago





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to David Martínez Moreno <ender@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 409864@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: Rodrigo Chandia <rodrigo-chandia@utulsa.edu>, 409864@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>, ender@debian.org
Subject: Re: Bug#409864: viewvc: No such file or directory: '/usr/lib/templates/directory.ezt' for SVN, but CVS works OK
Date: Fri, 9 Feb 2007 01:09:29 +0100
[Message part 1 (text/plain, inline)]
tags 409864 + unreproducible moreinfo
thanks

El martes, 6 de febrero de 2007 01:26, Rodrigo Chandia escribió:
> CVS repo works OK. SVN repo fails to display. On the browser I see the
> following traceback:
>
> An Exception Has Occurred
> Python Traceback
> Traceback (most recent call last):
>   File "/usr/lib/viewvc/viewvc.py", line 3629, in main
>     request.run_viewvc()
>   File "/usr/lib/viewvc/viewvc.py", line 388, in run_viewvc
>     self.view_func(self)
>   File "/usr/lib/viewvc/viewvc.py", line 1752, in view_directory
>     generate_page(request, "directory", data)
>   File "/usr/lib/viewvc/viewvc.py", line 836, in generate_page
>     template = get_view_template(request.cfg, view_name, request.language)
>   File "/usr/lib/viewvc/viewvc.py", line 830, in get_view_template
>     template = ezt.Template(tname)
>   File "/usr/lib/viewvc/ezt.py", line 293, in __init__
>     self.parse_file(fname, base_format)
>   File "/usr/lib/viewvc/ezt.py", line 298, in parse_file
>     self.parse(_FileReader(fname), base_format)
>   File "/usr/lib/viewvc/ezt.py", line 686, in __init__
>     self.text = open(fname, 'rb').read()
> IOError: [Errno 2] No such file or directory:
> '/usr/lib/templates/directory.ezt'
>
> Attaching viewvc.conf, although is the one generated by a fresh install.

	Hello, Rodrigo.  I have tested your configuration, changing only:

svn: /var/lib/svn

by

svn: /var/lib/svn/xterm

because there I have a local XTerm repository.  It worked perfectly.  In the 
meanwhile, I am going to tag this bug as 'unreproducible'.

	Could you please do the following as root?

mv /usr/lib/viewvc/viewcv.pyc{,.orig}
cp /usr/lib/viewvc/viewcv.py{,.orig}

and then overwrite your /usr/lib/viewvc/viewcv.py with the one I am sending 
attached?  I simply added:

  print tname,"<br>";

in lines 817 and 823, for your information.

	Now try to reload the faulty page (I guess that it should something like 
http://localhost/cgi-bin/viewvc.cgi/?root=svn) and send us the first two 
lines. In my system, those are:


None
/etc/viewvc/templates/directory.ezt


	Please tell me if there is any problem with the instructions.

	Best regards,


		Ender.
-- 
Network engineer
Debian Developer
[viewvc.py.gz (application/x-gzip, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Tags added: unreproducible, moreinfo Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to David Martínez Moreno <ender@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 409864@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: Nick Phillips <nick.phillips@otago.ac.nz>, 409864@bugs.debian.org
Cc: ender@debian.org
Subject: Re: Bug#409864: Unspeakable evil is possible even in python
Date: Fri, 9 Feb 2007 03:04:14 +0100
[Message part 1 (text/plain, inline)]
El viernes, 9 de febrero de 2007 00:40, Nick Phillips escribió:
> OK, well take a look at line 761 in viewvc.py and it being called
> from line 827, and laugh. Consider for a moment the explicitly-set
> relative template paths in the viewvc.conf that has been generated
> for you. Consider further the absolute futility of setting the
> template_dir option.

	Only if it is relative, not absolute.  There is a:

if os.path.isabs(path):

that should take care of giving back the path unaltered if it is absolute, 
which is our case.

> Then switch to cvsweb or something.
>
> A fine example of shit code in any language.
>
>
> For a workaround, either set the template_dir option in the [options]
> section of your viewvc.conf and comment out all of the explicit
> templates specified in the [templates] section, or just make sure
> that every template in the [templates] section is specified with an
> absolute path.

	Maybe I am completely slept or something, but the viewvc.conf from Rodrigo 
only has the default configuration, that is, an absolute template_dir 
parameter and no explicit template.  I do not see your point, sorry.

	Heading my bed.

	Best regards,


		Ender.
-- 
Network engineer
Debian Developer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Nick Phillips <nick.phillips@otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #32 received at 409864@bugs.debian.org (full text, mbox):

From: Nick Phillips <nick.phillips@otago.ac.nz>
To: David Martínez Moreno <ender@debian.org>
Cc: 409864@bugs.debian.org
Subject: Re: Bug#409864: Unspeakable evil is possible even in python
Date: Fri, 9 Feb 2007 15:19:34 +1300
On 9/02/2007, at 3:04 PM, David Martínez Moreno wrote:

> El viernes, 9 de febrero de 2007 00:40, Nick Phillips escribió:
>> OK, well take a look at line 761 in viewvc.py and it being called
>> from line 827, and laugh. Consider for a moment the explicitly-set
>> relative template paths in the viewvc.conf that has been generated
>> for you. Consider further the absolute futility of setting the
>> template_dir option.
>
> 	Only if it is relative, not absolute.  There is a:
>
> if os.path.isabs(path):
>
> that should take care of giving back the path unaltered if it is  
> absolute,
> which is our case.

Not if the individual template settings are relative, which in my  
migrated config (from a standard viewcvs config), they are.

i.e. template_dir is set and absolute, individual template names are  
set and relative, and the result is breakage.


>
> 	Maybe I am completely slept or something, but the viewvc.conf from  
> Rodrigo
> only has the default configuration, that is, an absolute template_dir
> parameter and no explicit template.  I do not see your point, sorry.

I'm guessing I'm not the only one who is using this as a migration  
from viewcvs. In any case, irrespective of the config file that we  
may or may not ship/create, the behaviour that viewvc exhibits when a  
relative template name is set is nuts.

I would suggest that:

* If absolute template paths are explicitly set per-template, they  
are used
* If relative templates (which include the defaults) are to be used,  
then they should be relative to the specified template_dir
* If relative templates are to be used, and template_dir is not set,  
then they should be relative to /etc/viewvc -- not the result of some  
half-baked attempt to find some kind of "installation dir".

Note that _install_path appears also to be used e.g. to determine  
where to tell cvsgraph to look for config files. Which is also crazy  
and broken.

Please don't misinterpret my previous comments as criticism of you as  
maintainer -- whoever wrote the code evidently just completely failed  
to consider setups different to their own.


Cheers,


Nick

-- 
Nick Phillips / +64 3 479 4195 / nick.phillips@otago.ac.nz
# these statements are my own, not those of the University of Otago





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Nick Phillips <nick.phillips@otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #37 received at 409864@bugs.debian.org (full text, mbox):

From: Nick Phillips <nick.phillips@otago.ac.nz>
To: David Martínez Moreno <ender@debian.org>
Cc: 409864@bugs.debian.org
Subject: Re: Bug#409864: Unspeakable evil is possible even in python
Date: Fri, 9 Feb 2007 15:39:24 +1300
On 9/02/2007, at 3:04 PM, David Martínez Moreno wrote:

>
> 	Maybe I am completely slept or something, but the viewvc.conf from  
> Rodrigo
> only has the default configuration, that is, an absolute template_dir
> parameter and no explicit template.  I do not see your point, sorry.


Sorry, hadn't looked at his conf file -- I'd just found this bug when  
about to report one myself, and thought it looked like the same one.

Since the behaviour I thought I was describing (relative names in  
templates section, absolute template_dir set, result broken because  
for some reason it is using /usr/lib as a prefix) is clearly a  
problem, I suggest that fixing it to use template_dir as a prefix  
whenever the per-template name is relative (i.e. is using the default  
or is specified as a relative name in the config) would be a good  
idea, and might well fix his problem as well as mine. Oh, and the  
default for template_dir obviously needs to be sensible too, rather  
than calculated from __file__!


Cheers,


Nick

-- 
Nick Phillips / +64 3 479 4195 / nick.phillips@otago.ac.nz
# these statements are my own, not those of the University of Otago





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #42 received at 409864@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 409864@bugs.debian.org
Subject: reproducible here
Date: Fri, 9 Feb 2007 00:24:47 -0500
[Message part 1 (text/plain, inline)]
I'm able to reproduce the problem using the current viewvc.conf.dist,
modified only for my svn repo path and a few other minor things. I see
it if I go to http://kitenet.net/cgi-bin/viewvc.cgi , but not if I go to
http://kitenet.net/cgi-bin/viewvc.cgi/?root=joey
(Should be the same IIRC since I set default_root = joey)

Config attached.

-- 
see shy jo
[viewvc.conf (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #47 received at 409864@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Nick Phillips <nick.phillips@otago.ac.nz>, 409864@bugs.debian.org
Subject: Re: Bug#409864: Unspeakable evil is possible even in python
Date: Fri, 9 Feb 2007 10:51:39 +0100
[Message part 1 (text/plain, inline)]
> Please don't misinterpret my previous comments as criticism of you as  
> maintainer -- whoever wrote the code evidently just completely failed  
> to consider setups different to their own.


That is interesting because, being currently subscribed to the
package's PTS even though I'm not the maintainer, I actually didn't
went through your entire bug report mostly because of the way it was
explained at the beginning.

I mostly read something like "this package is providing brain-dead
code"....which then prevented me to hear the very valid arguments you
developed further...which I actually read when I read your *second*
mail.

Something interesting to consider, maybe, when interacting with
package maintainers and developers..:-)

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Rodrigo Chandia <rodrigo-chandia@utulsa.edu>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #52 received at 409864@bugs.debian.org (full text, mbox):

From: Rodrigo Chandia <rodrigo-chandia@utulsa.edu>
To: David Martínez Moreno <ender@debian.org>
Cc: 409864@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#409864: viewvc: No such file or directory: '/usr/lib/templates/directory.ezt' for SVN, but CVS works OK
Date: Fri, 9 Feb 2007 10:50:31 -0600
It seems that upgrading to viewvc 1.0.3-2 fixed the issue somehow... or 
something else changed.

I cannot reproduce the issue anymore. I even tried downgrading to 1.0.3-1 
without any apparent effect.

Running the code you sent produces the same info you get:

None 
 /etc/viewvc/templates/directory.ezt 

On Thursday 08 February 2007 18:09, David Martínez Moreno wrote:
> tags 409864 + unreproducible moreinfo
> thanks
>
> El martes, 6 de febrero de 2007 01:26, Rodrigo Chandia escribió:
> > CVS repo works OK. SVN repo fails to display. On the browser I see the
> > following traceback:
> >
> > An Exception Has Occurred
> > Python Traceback
> > Traceback (most recent call last):
> >   File "/usr/lib/viewvc/viewvc.py", line 3629, in main
> >     request.run_viewvc()
> >   File "/usr/lib/viewvc/viewvc.py", line 388, in run_viewvc
> >     self.view_func(self)
> >   File "/usr/lib/viewvc/viewvc.py", line 1752, in view_directory
> >     generate_page(request, "directory", data)
> >   File "/usr/lib/viewvc/viewvc.py", line 836, in generate_page
> >     template = get_view_template(request.cfg, view_name,
> > request.language) File "/usr/lib/viewvc/viewvc.py", line 830, in
> > get_view_template template = ezt.Template(tname)
> >   File "/usr/lib/viewvc/ezt.py", line 293, in __init__
> >     self.parse_file(fname, base_format)
> >   File "/usr/lib/viewvc/ezt.py", line 298, in parse_file
> >     self.parse(_FileReader(fname), base_format)
> >   File "/usr/lib/viewvc/ezt.py", line 686, in __init__
> >     self.text = open(fname, 'rb').read()
> > IOError: [Errno 2] No such file or directory:
> > '/usr/lib/templates/directory.ezt'
> >
> > Attaching viewvc.conf, although is the one generated by a fresh install.
>
> 	Hello, Rodrigo.  I have tested your configuration, changing only:
>
> svn: /var/lib/svn
>
> by
>
> svn: /var/lib/svn/xterm
>
> because there I have a local XTerm repository.  It worked perfectly.  In
> the meanwhile, I am going to tag this bug as 'unreproducible'.
>
> 	Could you please do the following as root?
>
> mv /usr/lib/viewvc/viewcv.pyc{,.orig}
> cp /usr/lib/viewvc/viewcv.py{,.orig}
>
> and then overwrite your /usr/lib/viewvc/viewcv.py with the one I am sending
> attached?  I simply added:
>
>   print tname,"<br>";
>
> in lines 817 and 823, for your information.
>
> 	Now try to reload the faulty page (I guess that it should something like
> http://localhost/cgi-bin/viewvc.cgi/?root=svn) and send us the first two
> lines. In my system, those are:
>
>
> None
> /etc/viewvc/templates/directory.ezt
>
>
> 	Please tell me if there is any problem with the instructions.
>
> 	Best regards,
>
>
> 		Ender.

-- 
Rodrigo Chandia
Center for Information Security
University of Tulsa
rodrigo-chandia@utulsa.edu
http://www.cis.utulsa.edu



Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to "Thomas E. Vaughan" <tevaugha@ball.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #57 received at 409864@bugs.debian.org (full text, mbox):

From: "Thomas E. Vaughan" <tevaugha@ball.com>
To: Debian Bug Tracking System <409864@bugs.debian.org>
Subject: viewvc: patch to fix this problem
Date: Fri, 09 Feb 2007 10:02:34 -0700
Package: viewvc
Version: 1.0.3-2
Followup-For: Bug #409864


The path search logic looks for things under
/usr/lib/viewvc.

So specifying "templates" for self.options.template_dir in
config.py resolves it to "/usr/lib/viewvc/templates", which
doesn't exist.

Putting an absolute path into config.py fixes the problem
because the path search is not used.

Patch follows:

--- config.py.old       2007-02-09 09:55:14.000000000 -0700
+++ config.py   2007-02-09 09:53:31.000000000 -0700
@@ -195,7 +195,7 @@
     self.options.allow_annotate = 1
     self.options.allow_markup = 1
     self.options.allow_compress = 1
-    self.options.template_dir = "templates"
+    self.options.template_dir = "/etc/viewvc/templates"
     self.options.docroot = None
     self.options.show_subdir_lastmod = 0
     self.options.show_logs = 1


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages viewvc depends on:
ii  cvs                       1:1.12.13-7    Concurrent Versions System
ii  debconf [debconf-2.0]     1.5.11         Debian configuration management sy
ii  gawk                      1:3.1.5.dfsg-4 GNU awk, a pattern scanning and pr
ii  mime-support              3.39-1         MIME files 'mime.types' & 'mailcap
ii  python                    2.4.4-2        An interactive high-level object-o
ii  python-subversion         1.4.2dfsg1-2   Python bindings for Subversion
ii  python-support            0.5.6          automated rebuilding support for p
ii  rcs                       5.7-18         The GNU Revision Control System
ii  subversion                1.4.2dfsg1-2   Advanced version control system

Versions of packages viewvc recommends:
ii  apache2-mpm-prefork [httpd]   2.2.3-3.2  Traditional model for Apache HTTPD
ii  enscript                      1.6.4-11   Converts ASCII text to Postscript,

-- debconf information:
* viewvc/forbidden:
* viewvc/svnroots: svn-tevaugha: /usr/local/var/svn, svn-apue: /usr/local/var/svn-apue, svn-cryo: /usr/local/var/svn-cryo, svn-old01: /usr/local/var/svn-old01, svn-old02: /usr/local/var/svn-old02, svn-tracker-issues: /usr/local/var/svn-tracker-issues, svn-uniqueness: /usr/local/var/svn-uniqueness svn-tevaugha: /usr/local/var/svn, svn-apue: /usr/local/var/svn-apue, svn-cryo: /usr/local/var/svn-cryo, svn-old01: /usr/local/var/svn-old01, svn-old02: /usr/local/var/svn-old02, svn-tracker-issues: /usr/local/var/svn-tracker-issues, svn-uniqueness: /usr/local/var/svn-uniqueness
* viewvc/address: <a href="mailto:cvs-admin@ball.com">CVS Admin</a>
* viewvc/cvsroots: cvs: /usr/local/var/cvs
* viewvc/allow_tar: true
* viewvc/defaultroot:



Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to "Thomas E. Vaughan" <tevaugha@ball.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #62 received at 409864@bugs.debian.org (full text, mbox):

From: "Thomas E. Vaughan" <tevaugha@ball.com>
To: Debian Bug Tracking System <409864@bugs.debian.org>
Subject: viewvc: hack to work around problem
Date: Fri, 09 Feb 2007 10:58:57 -0700
Package: viewvc
Version: 1.0.3-2
Followup-For: Bug #409864


My previous post only fixed the top-level view for me.
I don't really understand python very well.
Maybe there is something that I can do to fix my
configuration in a less invasive way.

The following is a quick hack that seems to fix things for
now:

--- viewvc.py.old       2007-02-09 10:20:51.000000000 -0700
+++ viewvc.py   2007-02-09 10:48:57.000000000 -0700
@@ -815,10 +815,13 @@
   # see if the configuration specifies a template for this view
   tname = vars(cfg.templates).get(view_name)

+  if tname and not os.path.isabs(tname):
+    tname = os.path.join( "/etc/viewvc/", tname )
+
   # if there is no specific template definition for this view, look in
   # the default location (relative to the configured template_dir)
   if not tname:
-    tname = os.path.join(cfg.options.template_dir, view_name + ".ezt")
+    tname = os.path.join("/etc/viewvc/templates", view_name + ".ezt")

   # allow per-language template selection
   tname = string.replace(tname, '%lang%', language)


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages viewvc depends on:
ii  cvs                       1:1.12.13-7    Concurrent Versions System
ii  debconf [debconf-2.0]     1.5.11         Debian configuration management sy
ii  gawk                      1:3.1.5.dfsg-4 GNU awk, a pattern scanning and pr
ii  mime-support              3.39-1         MIME files 'mime.types' & 'mailcap
ii  python                    2.4.4-2        An interactive high-level object-o
ii  python-subversion         1.4.2dfsg1-2   Python bindings for Subversion
ii  python-support            0.5.6          automated rebuilding support for p
ii  rcs                       5.7-18         The GNU Revision Control System
ii  subversion                1.4.2dfsg1-2   Advanced version control system

Versions of packages viewvc recommends:
ii  apache2-mpm-prefork [httpd]   2.2.3-3.2  Traditional model for Apache HTTPD
ii  enscript                      1.6.4-11   Converts ASCII text to Postscript,

-- debconf information:
* viewvc/forbidden:
* viewvc/svnroots: svn-tevaugha: /usr/local/var/svn, svn-apue: /usr/local/var/svn-apue, svn-cryo: /usr/local/var/svn-cryo, svn-old01: /usr/local/var/svn-old01, svn-old02: /usr/local/var/svn-old02, svn-tracker-issues: /usr/local/var/svn-tracker-issues, svn-uniqueness: /usr/local/var/svn-uniqueness svn-tevaugha: /usr/local/var/svn, svn-apue: /usr/local/var/svn-apue, svn-cryo: /usr/local/var/svn-cryo, svn-old01: /usr/local/var/svn-old01, svn-old02: /usr/local/var/svn-old02, svn-tracker-issues: /usr/local/var/svn-tracker-issues, svn-uniqueness: /usr/local/var/svn-uniqueness
* viewvc/address: <a href="mailto:cvs-admin@ball.com">CVS Admin</a>
* viewvc/cvsroots: cvs: /usr/local/var/cvs
* viewvc/allow_tar: true
* viewvc/defaultroot:



Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #67 received at 409864@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Rodrigo Chandia <rodrigo-chandia@utulsa.edu>, 409864@bugs.debian.org
Cc: David Martínez Moreno <ender@debian.org>
Subject: Re: Bug#409864: viewvc: No such file or directory: '/usr/lib/templates/directory.ezt' for SVN, but CVS works OK
Date: Fri, 9 Feb 2007 14:34:10 -0500
[Message part 1 (text/plain, inline)]
Rodrigo Chandia wrote:
> It seems that upgrading to viewvc 1.0.3-2 fixed the issue somehow... or 
> something else changed.

Ok, this is weird. I was able to reproduce this last night and cannot
this morning. Nothing has changed on my machine inbetween, unless a cron
job changed it somehow, and I'm still using 1.0.3-1.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Nick Phillips <nick.phillips@otago.ac.nz>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #72 received at 409864@bugs.debian.org (full text, mbox):

From: Nick Phillips <nick.phillips@otago.ac.nz>
To: Christian Perrier <bubulle@debian.org>
Cc: 409864@bugs.debian.org
Subject: Re: Bug#409864: Unspeakable evil is possible even in python
Date: Mon, 12 Feb 2007 09:27:27 +1300
On 9/02/2007, at 10:51 PM, Christian Perrier wrote:

>> Please don't misinterpret my previous comments as criticism of you as
>> maintainer -- whoever wrote the code evidently just completely failed
>> to consider setups different to their own.
>
>
> That is interesting because, being currently subscribed to the
> package's PTS even though I'm not the maintainer, I actually didn't
> went through your entire bug report mostly because of the way it was
> explained at the beginning.
>
> I mostly read something like "this package is providing brain-dead
> code"....which then prevented me to hear the very valid arguments you
> developed further...which I actually read when I read your *second*
> mail.
>
> Something interesting to consider, maybe, when interacting with
> package maintainers and developers..:-)
>

Yep. I do try to at least remain civilised when ranting. I think the  
problem may be that I tend to end up missing out writing steps of  
explanation which I have drafted and redrafted in my head, and jump  
straight to the conclusion.

It *is* brain-dead code, though ;-)


Cheers,


Nick

-- 
Nick Phillips / +64 3 479 4195 / nick.phillips@otago.ac.nz
# these statements are my own, not those of the University of Otago





Bug reassigned from package `viewvc' to `cdebconf-gtk-udeb'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `cdebconf-gtk-udeb' to `viewvc'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `viewvc' to `viewvc'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to "Michael R. Head" <burner@suppressingfire.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #83 received at 409864@bugs.debian.org (full text, mbox):

From: "Michael R. Head" <burner@suppressingfire.org>
To: 409864@bugs.debian.org
Subject: A quick workaround for those hit by this bug...
Date: Mon, 12 Feb 2007 22:16:21 -0500
[Message part 1 (text/plain, inline)]
Here's a quick workaround for anyone hit by this bug waiting for a fix:

$ sudo ln -s /etc/viewvc/templates /usr/lib

Ugly, but it'll solve the problem for a day or two.

mike

-- 
Michael R. Head <burner@suppressingfire.org>
http://www.suppressingfire.org/~burner/
http://suppressingfire.livejournal.com
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Dan Merillat <dmerillat@sequiam.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #88 received at 409864@bugs.debian.org (full text, mbox):

From: Dan Merillat <dmerillat@sequiam.com>
To: 409864@bugs.debian.org
Subject: Fixed upstream - patch for 1.1 snapshot attached.
Date: Tue, 05 Jun 2007 20:27:26 -0400
[Message part 1 (text/plain, inline)]
I've confirmed this - when upgrading from the 1.0-pre to 1.0.3 it screws
up your relative templates.   1.1 beta has fixed this, but it has a
number of it's own problems right now.  (Not the least of which is that
it Just Won't Work by default - keyerror on authentication init.)

That said, here's a patch to the debian/ directory that lets
1.1-snapshot package and install on my system.  It is functional, but
I have not tested very much at all.   It does not handle the new
contributed templates yet, they don't even manage to make it to doc/

Someone may wish to re-file this patch under wishlist/new upstream, I
just wanted to get this out there for people to try.  It solved my problems.



[1.1-dev-20070605.patch (text/x-diff, inline)]
diff -ruN debian.orig/changelog debian/changelog
--- debian.orig/changelog	2007-06-05 20:20:32.000000000 -0400
+++ debian/changelog	2007-06-05 20:21:41.000000000 -0400
@@ -1,3 +1,9 @@
+viewvc (1.0.3+svn1.1.20070605) experimental; urgency=low
+
+  * pulled in the latest upstream, not for production use.
+
+ -- Dan Merillat <dan@merillat.org>  Tue,  5 Jun 2007 19:06:53 -0400
+
 viewvc (1.0.3-2) unstable; urgency=low
 
   * debian/control:
diff -ruN debian.orig/patches/02_py2html_activation debian/patches/02_py2html_activation
--- debian.orig/patches/02_py2html_activation	2007-06-05 18:59:43.000000000 -0400
+++ debian/patches/02_py2html_activation	1969-12-31 19:00:00.000000000 -0500
@@ -1,17 +0,0 @@
-# This patch activates processing for .py scripts in lib/viewvc.py.
-#
-# Fixes #282718.
-#
-Index: lib/viewvc.py
-===================================================================
---- lib/viewvc.py.orig	2006-03-18 03:07:36.642984000 +0100
-+++ lib/viewvc.py	2006-03-18 16:11:32.945884353 +0100
-@@ -1310,7 +1310,7 @@
-   return MarkupPHP(cfg.options.php_exe_path, fp)
- 
- markup_streamers = {
--# '.py' : markup_stream_python,
-+  '.py' : markup_stream_python,
-   '.php' : markup_stream_php,
-   '.inc' : markup_stream_php,
-   }
diff -ruN debian.orig/patches/1000_lib_config.py_no_default_auth debian/patches/1000_lib_config.py_no_default_auth
--- debian.orig/patches/1000_lib_config.py_no_default_auth	1969-12-31 19:00:00.000000000 -0500
+++ debian/patches/1000_lib_config.py_no_default_auth	2007-06-05 20:17:57.000000000 -0400
@@ -0,0 +1,16 @@
+This change is here as a stopgap so the default install works for 
+TESTING ONLY.   It possibly/probably breaks the new authentication,
+however that is currently buggy.   This allows 1.1 to work as-is, without
+having to edit your existing configuration file.
+
+--- lib/config.py.orig	2007-06-05 20:09:41.000000000 -0400
++++ lib/config.py	2007-06-05 20:10:15.000000000 -0400
+@@ -233,7 +233,7 @@
+     self.options.default_file_view = "log"
+     self.options.checkout_magic = 0
+     self.options.allowed_views = ['markup', 'annotate']
+-    self.options.authorizer = 'forbidden'
++    self.options.authorizer = None
+     self.options.mangle_email_addresses = 0
+     self.options.use_rcsparse = 0
+     self.options.sort_by = 'file'
diff -ruN debian.orig/patches/101_viewvc-install_Debian_paths debian/patches/101_viewvc-install_Debian_paths
--- debian.orig/patches/101_viewvc-install_Debian_paths	2007-06-05 19:31:21.000000000 -0400
+++ debian/patches/101_viewvc-install_Debian_paths	2007-06-05 19:21:58.000000000 -0400
@@ -1,24 +1,13 @@
-Index: viewvc-install
-===================================================================
---- viewvc-install.orig	2006-03-22 01:42:02.038375982 +0100
-+++ viewvc-install	2006-03-22 01:42:11.060273474 +0100
-@@ -122,16 +122,15 @@
- 
- def SetOnePath(contents, var, value):
-     pattern = re.compile('^' + var + r'\s*=\s*.*$', re.MULTILINE)
--    repl = '%s = r"%s"' % (var, os.path.join(ROOT_DIR, value))
-+    repl = '%s = r"%s"' % (var, value)
-     return re.sub(pattern, ReEscape(repl), contents)
- 
--
- def SetPythonPaths(contents):
+--- viewvc-install	2007-06-05 19:16:06.000000000 -0400
++++ viewvc-install.orig	2007-06-05 19:16:45.000000000 -0400
+@@ -128,8 +128,8 @@
      if contents[:2] == '#!':
          shbang = '#!' + sys.executable
-         contents = re.sub('^#![^\n]*', ReEscape(shbang), contents)
--    contents = SetOnePath(contents, 'LIBRARY_DIR', 'lib')
--    contents = SetOnePath(contents, 'CONF_PATHNAME', 'viewvc.conf')
-+    contents = SetOnePath(contents, 'LIBRARY_DIR', '/usr/lib/viewvc')
-+    contents = SetOnePath(contents, 'CONF_PATHNAME', '/etc/viewvc/viewvc.conf')
+         contents = re.sub('^#![^\n]*', _escape(shbang), contents)
+-    contents = replace_var(contents, 'LIBRARY_DIR', '/usr/lib/viewvc')
+-    contents = replace_var(contents, 'CONF_PATHNAME', '/etc/viewvc/viewvc.conf')
++    contents = replace_var(contents, 'LIBRARY_DIR', 'lib')
++    contents = replace_var(contents, 'CONF_PATHNAME', 'viewvc.conf')
      return contents
  
  
diff -ruN debian.orig/patches/log/patch debian/patches/log/patch
--- debian.orig/patches/log/patch	2007-06-05 19:22:07.000000000 -0400
+++ debian/patches/log/patch	1969-12-31 19:00:00.000000000 -0500
@@ -1,8 +0,0 @@
-Applying patch 101_viewvc-install_Debian_paths
-patching file viewvc-install
-
-Applying patch 102_viewvc.conf_Debian_customization
-patching file viewvc.conf.dist
-Hunk #1 succeeded at 432 (offset 57 lines).
-
-Now at patch 102_viewvc.conf_Debian_customization
diff -ruN debian.orig/patches/series debian/patches/series
--- debian.orig/patches/series	2007-06-05 19:31:21.000000000 -0400
+++ debian/patches/series	2007-06-05 20:12:13.000000000 -0400
@@ -1,5 +1,5 @@
 01_separe_log_and_file -p0
-02_py2html_activation -p0
 03_robots_support -p0
 101_viewvc-install_Debian_paths -p0
 102_viewvc.conf_Debian_customization -p0
+1000_lib_config.py_no_default_auth -p0
diff -ruN debian.orig/viewvc.install debian/viewvc.install
--- debian.orig/viewvc.install	2007-06-05 19:28:51.000000000 -0400
+++ debian/viewvc.install	2007-06-05 19:30:19.000000000 -0400
@@ -5,6 +5,9 @@
 usr/lib/cgi-bin/lib/vclib/ccvs/rcsparse/*py   /usr/lib/viewvc/vclib/ccvs/rcsparse
 usr/lib/cgi-bin/lib/vclib/svn/*py             /usr/lib/viewvc/vclib/svn
 usr/lib/cgi-bin/lib/vclib/svn_ra/*py          /usr/lib/viewvc/vclib/svn_ra
+usr/lib/cgi-bin/lib/vcauth/*py                /usr/lib/viewvc/vcauth
+usr/lib/cgi-bin/lib/vcauth/forbidden/*py      /usr/lib/viewvc/vcauth/forbidden
+usr/lib/cgi-bin/lib/vcauth/svnauthz/*py      /usr/lib/viewvc/vcauth/svnauthz
 usr/lib/cgi-bin/bin/*dbadmin                  /usr/lib/viewvc/
 usr/lib/cgi-bin/templates/                    /etc/viewvc/
 usr/lib/cgi-bin/*.conf                        /etc/viewvc/

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Johan Euphrosine <proppy@aminche.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #93 received at 409864@bugs.debian.org (full text, mbox):

From: Johan Euphrosine <proppy@aminche.com>
To: 409864@bugs.debian.org
Subject: Reproduction instruction
Date: 23 Oct 2007 17:00:42 +0200
I was able to reproduce a similar bug, using the following procedure:

debootstrap etch etch
chroot etch
apt-get install viewcvs
apt-get install apache2
/etc/init.d/apache2 start
perl -pi -e 's/etch/sid/' /etc/apt/sources.list
apt-get update
apt-get install viewvc
iceweasel http://127.0.0.1/cgi-bin/viewvc.cgi/

I get the following error:

An Exception Has Occurred
Python Traceback

Traceback (most recent call last):
  File "/usr/lib/viewvc/viewvc.py", line 3628, in main
    request.run_viewvc()
  File "/usr/lib/viewvc/viewvc.py", line 387, in run_viewvc
    self.view_func(self)
  File "/usr/lib/viewvc/viewvc.py", line 1509, in view_roots
    generate_page(request, "roots", data)
  File "/usr/lib/viewvc/viewvc.py", line 835, in generate_page
    template = get_view_template(request.cfg, view_name, request.language)
  File "/usr/lib/viewvc/viewvc.py", line 829, in get_view_template
    template = ezt.Template(tname)
  File "/usr/lib/viewvc/ezt.py", line 293, in __init__
    self.parse_file(fname, base_format)
  File "/usr/lib/viewvc/ezt.py", line 298, in parse_file
    self.parse(_FileReader(fname), base_format)
  File "/usr/lib/viewvc/ezt.py", line 686, in __init__
    self.text = open(fname, 'rb').read()
IOError: [Errno 2] No such file or directory: '/usr/lib/templates/roots.ezt'
-- 
bou ^




Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to Johan Euphrosine <proppy@aminche.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #98 received at 409864@bugs.debian.org (full text, mbox):

From: Johan Euphrosine <proppy@aminche.com>
To: Johan Euphrosine <proppy@aminche.com>, 409864@bugs.debian.org
Subject: Re: Bug#409864: Reproduction instruction
Date: 23 Oct 2007 17:28:30 +0200
[Message part 1 (text/plain, inline)]
I automated the workaround pointed by Nick Phillips, within the
attached python script: it successfully corrects the reported error.

> For a workaround, either set the template_dir option in the [options]  
> section of your viewvc.conf and comment out all of the explicit  
> templates specified in the [templates] section

Please note that Ubuntu seems to have the same problem when updating
from viewcvs feisty to viewvc gutsy:
https://bugs.edge.launchpad.net/ubuntu/+source/viewvc/+bug/152438

[viewvc-template (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
-- 
bou ^

Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. Full text and rfc822 format available.

Acknowledgement sent to "Stephan Broennimann" <broeni@osb-systems.com>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #103 received at 409864@bugs.debian.org (full text, mbox):

From: "Stephan Broennimann" <broeni@osb-systems.com>
To: 409864@bugs.debian.org
Subject: Still appearing when upgrading from viewcvs.
Date: Fri, 15 Feb 2008 18:13:33 +0100
I've just upgraded from viewcvs (etch) to viewvc (lenny, 1.0.3) and encountered this issue.

The problem disappeared after purge and (re)install of viewvc.
The root cause is that in the migrated viewvc.conf the value for template_dir is not set
but the templates are individually listed (if desired I'll provide a diff).

Untested recipe to fix viewvc.conf after an upgrade from viewcvs:
+ in the section [options]: add the line
template_dir = /etc/viewvc/templates
+ in the section [template]: comment out all templates*).

*) note that if one wants to use one of the alternatives templates
the full path must be provided, e.g.,
log = /etc/viewvc/templates/log_table.ezt
(this is an issue for viewvc itself and not for the Debian package).

Stephan Brönnimann
WEB:   www.osb-systems.com, www.osb-systems.de
OSB systems, rating and billing solutions, GPL license.





Information forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#409864; Package viewvc. (Thu, 19 Feb 2009 18:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to David Martínez Moreno <ender@debian.org>. (Thu, 19 Feb 2009 18:42:08 GMT) Full text and rfc822 format available.

Message #108 received at 409864@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Stephan Broennimann <broeni@osb-systems.com>
Cc: 409864@bugs.debian.org
Subject: Re: Still appearing when upgrading from viewcvs.
Date: Thu, 19 Feb 2009 19:39:14 +0100
On Fri, 15 Feb 2008, Stephan Broennimann wrote:
> I've just upgraded from viewcvs (etch) to viewvc (lenny, 1.0.3) and
> encountered this issue.

Me too, it's somewhat annoying that the bug slipped through Lenny when it has
been discovered quite early.

It would be good to try to fix it in 5.0.1

> The problem disappeared after purge and (re)install of viewvc.
> The root cause is that in the migrated viewvc.conf the value for
> template_dir is not set but the templates are individually listed (if
> desired I'll provide a diff).

Confirmed.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Removed tag(s) unreproducible. Request was from Ola Lundqvist <ola@inguza.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 05:03:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:12:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.